#####
###  MailBoxer - a mailinglist/newsletter/mailarchive-framework for ZOPE
##   Copyright (C) 2002	Maik Jablonski (maik.jablonski@uni-bielefeld.de)
#
#    This program is free software; you can redistribute it and/or modify
#    it under the terms of the GNU General Public License as published by
#    the Free Software Foundation; either version 2 of the License, or
#    (at your option) any later version.
#
#    This program is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#    GNU General Public License for more details.
#
#    You should have received a copy of the GNU General Public License
##   along with this program; if not, write to the Free Software
###  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
#####

MailBoxerTemplates={}

MailBoxerTemplates['mail_header'] = """<dtml-comment>
These are additional headers for mailinglists which will be added to the bulked
mails. Don't delete the X-Mailer. It's important to avoid endless mail-loops.
</dtml-comment>

X-Mailer: <dtml-var xmailer>
Precedence: Bulk
Reply-To: <dtml-var mailto>
Errors-To: <dtml-var moderator>
List-Post: <mailto:<dtml-var mailto>>
List-Subscribe: <mailto:<dtml-var mailto>?subject=subscribe>
List-Unsubscribe: <mailto:<dtml-var mailto>?subject=unsubscribe>
List-Id: <dtml-var title>
List-Archive: <http://<dtml-var URL1>>
"""

MailBoxerTemplates['mail_footer'] = """<dtml-comment>
This is a additional footer for plain-text-mails which will be added to the bulked
mails.
</dtml-comment>
--
To unsubscribe send a email with subject '<dtml-var unsubscribe>' to <dtml-var mailto>
Please contact <dtml-var moderator> for questions.
"""

MailBoxerTemplates['mail_subscribe'] = """<dtml-comment>
This scripts sends an subscription-mail to the new member. Change it as you like.
But don't delete the X-Mailer. It's important to avoid endless mail-loops.
</dtml-comment>

<dtml-call "securityCheck(REQUEST)">

<dtml-sendmail mailhost="MailHost">
To: <dtml-var mailfrom>
From: <dtml-var moderator>
X-Mailer: <dtml-var xmailer>
Subject: [<dtml-var title>] Welcome to <dtml-var title>

Hello <dtml-var mailfrom>,

you are now subscribed to <dtml-var title>.

Send your mails to: <dtml-var mailto>

If you want to unsubscribe from <dtml-var title>,
send a mail with the subject (not the body!):

<dtml-var unsubscribe> 

to: <dtml-var mailto>

Yours, <dtml-var moderator>
</dtml-sendmail>
"""

MailBoxerTemplates['mail_unsubscribe'] = """<dtml-comment>
This scripts sends an unsubscription-mail to the lost member. Change it as you like.
But don't delete the X-Mailer. It's important to avoid endless mail-loops.
</dtml-comment>

<dtml-call "securityCheck(REQUEST)">

<dtml-sendmail mailhost="MailHost">
To: <dtml-var mailfrom>
From: <dtml-var moderator>
X-Mailer: <dtml-var xmailer>
Subject: [<dtml-var title>] Unsubscribed from <dtml-var title>

Now you are unsubscribed from <dtml-var title>.

Yours, <dtml-var moderator>
</dtml-sendmail>
"""

MailBoxerTemplates['mail_reply'] = """<dtml-comment>
This scripts sends an 'error' reply to the sender. Change it as you like.
But don't delete the X-Mailer. It's important to avoid endless mail-loops.
</dtml-comment>

<dtml-call "securityCheck(REQUEST)">

<dtml-sendmail mailhost="MailHost">
To: <dtml-var mailfrom>
From: <dtml-var moderator>
X-Mailer: <dtml-var xmailer>
<dtml-if moderated>Subject: [<dtml-var title>] Message arrived

Your message will be checked as soon as possible.

Thank you for patience.
<dtml-else>Subject: [<dtml-var title>] Mail unprocessed

You are not subscribed to [<dtml-var title>].
</dtml-if>

Yours, <dtml-var moderator>
</dtml-sendmail>
"""

MailBoxerTemplates['index_html'] = """<dtml-var standard_html_header>
<dtml-comment>
This script is an example for displaying the mail-folders and emails.
Modify it for your needs!!!
</dtml-comment>

<dtml-comment>

 Mail-Archive-Navigation: [UP] [<<<] [>>>]

</dtml-comment>

<p>
[ <a href="<dtml-var "aq_parent.absolute_url()">">UP</a> ]

[
<dtml-if "previousObject(this())">
  <a href="<dtml-var "previousObject(this()).absolute_url()">"><b>&lt;&lt;&lt;</b></a>
<dtml-else>
 <b>&lt;&lt;&lt;</b>
</dtml-if>
]

[
<dtml-if "nextObject(this())">
  <a href="<dtml-var "nextObject(this()).absolute_url()">"><b>&gt;&gt;&gt;</b></a>  
<dtml-else>
 <b>&gt;&gt;&gt;</b>
</dtml-if>
]
</p>

<dtml-comment>

 Show title of current Folder

</dtml-comment>

<p><b><dtml-var title html_quote></b></p>

<dtml-comment>

 Show list of Subfolders

</dtml-comment>

<dtml-in "objectValues('Folder')">
 <dtml-if sequence-start><ul></dtml-if>
  <li>
   <dtml-if mailDate>
    <b><dtml-var "mailDate.Time()"></b>
   </dtml-if>
   <a href="&dtml-absolute_url;"><dtml-var "title_or_id().replace('@','#')" html_quote></a>
  </li>

  <dtml-comment>
   Show list of SubSubfolders with numbers of follow-ups
  </dtml-comment>
  
  <dtml-in "objectValues('Folder')">
   <dtml-if sequence-start>
    <ul>
   </dtml-if>
   <li>
    <dtml-if mailDate>
     <b><dtml-var "mailDate.Time()"></b>
    </dtml-if>
    <a href="&dtml-absolute_url;"><dtml-var "title_or_id().replace('@','#')" html_quote></a>
    <dtml-let subFolder="_.len(objectValues(['Folder']))">
     <dtml-if subFolder>
      <b>[&gt;&gt;<dtml-var subFolder>]</b>
     </dtml-if>
    </dtml-let>
   </li>
   <dtml-if sequence-end>
    </ul><br>
   </dtml-if>
  </dtml-in>

 <dtml-if sequence-end>
  </ul><br>
 </dtml-if>
</dtml-in>


<dtml-comment>

 Display Mail

</dtml-comment>

<dtml-if mailDate>
 <hr noshade>
 <table>
 <tr>
  <td>Subject:</td>
  <td><dtml-var mailSubject html_quote missing=""></td>
 </tr>
 <tr>
  <td>From:</td>
  <td><dtml-var "mailFrom.replace('@','#')" html_quote missing=""></td>
 </tr>
 <tr>
  <td>Date:</td>
  <td><dtml-var mailDate html_quote missing=""></td>
 </tr>
 </table>

 <hr noshade>

 <table>
 <tr>
  <td><pre><dtml-var mailBody html_quote missing=""></pre></td>
 </tr>
 
 <dtml-comment>
 
  Display attachments
 
 </dtml-comment>
 
 <dtml-if "objectValues('File')">
  <tr>
   <td><hr noshade><p><b>Attachments:</b></p>
   <table>
    <dtml-in "objectValues('File')">
     <tr>
      <td><a href="&dtml-absolute_url;"><dtml-var title></a></td>
      <td><dtml-var content_type></td>
      <td><dtml-var size> Bytes</td>
     </tr>
    </dtml-in>
   </table>
   </td>
  </tr>
 </dtml-if>
 </table>
</dtml-if>

<dtml-var standard_html_footer>
"""
